Package com.collibra.dgc.core.api.dto.instance.asset

# Class SetAssetResponsibilitiesRequest

Object
SetAssetResponsibilitiesRequest

All Implemented Interfaces:
  `Serializable`

public class SetAssetResponsibilitiesRequest extends Object implements Serializable
The properties of the asset responsibilities to be set.

Existing responsibilities for given asset and of given role are replaced by relations presented in this request.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `SetAssetResponsibilitiesRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetAssetResponsibilitiesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SetAssetResponsibilitiesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetId()`
  Required. The ID of the asset.
  `List<UUID>`
  `getOwnerIds()`
  Required. The IDs of the owners.
  `UUID`
  `getRoleId()`
  Required. The ID of the role for the responsibilities to be set.
  `int`
  `hashCode()`
  `void`
  `setAssetId(UUID assetId)`
  Required. The ID of the asset.
  `void`
  `setOwnerIds(List<UUID> ownerIds)`
  Required. The IDs of the owners.
  `void`
  `setRoleId(UUID roleId)`
  Required. The ID of the role for the responsibilities to be set.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SetAssetResponsibilitiesRequest

    public SetAssetResponsibilitiesRequest()

- ## Method Details

  - ### builder

    public static SetAssetResponsibilitiesRequest.Builder builder()

  - ### getAssetId

    public UUID getAssetId()
    Required. The ID of the asset.

  - ### getRoleId

    public UUID getRoleId()
    Required. The ID of the role for the responsibilities to be set.

  - ### getOwnerIds

    public List<UUID> getOwnerIds()
    Required. The IDs of the owners. An owner is either user or group.

  - ### setAssetId

    public void setAssetId(UUID assetId)
    Required. The ID of the asset.

  - ### setRoleId

    public void setRoleId(UUID roleId)
    Required. The ID of the role for the responsibilities to be set.

  - ### setOwnerIds

    public void setOwnerIds(List<UUID> ownerIds)
    Required. The IDs of the owners. An owner is either user or group.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`